Bug 537381 - Crash --- TypeError: argument of type 'NoneType' is not iterable
Summary: Crash --- TypeError: argument of type 'NoneType' is not iterable
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-packagekit
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-13 12:21 UTC by Rahul Sundaram
Modified: 2013-03-13 05:46 UTC (History)
3 users (show)

Fixed In Version: 2.28.3-0.1.20091211git.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-17 12:24:00 UTC
Type: ---


Attachments (Terms of Use)

Description Rahul Sundaram 2009-11-13 12:21:08 UTC
Description of problem:

$ rpm -q gnome-packagekit PackageKit

gnome-packagekit-2.28.2-0.1.20091030git.fc12.i686
PackageKit-0.5.4-0.1.20091029git.fc12.i686


----

Traceback (most recent call last):
  File "/usr/share/PackageKit/helpers/yum/yumBackend.py", line 2015, in _runYumTransaction
    rpmDisplay=rpmDisplay)
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 3949, in processTransaction
    pkgs = self._downloadPackages(callback)
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 3973, in _downloadPackages
    probs = self.downloadPkgs(dlpkgs)
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 1420, in downloadPkgs
    self.plugins.run('predownload', pkglist=pkglist)
  File "/usr/lib/python2.6/site-packages/yum/plugins.py", line 177, in run
    func(conduitcls(self, self.base, conf, **kwargs))
  File "/usr/lib/yum-plugins/presto.py", line 579, in predownload_hook
    (problems, more) = downloadPkgs(conduit, pinfo, download_pkgs)
  File "/usr/lib/yum-plugins/presto.py", line 428, in downloadPkgs
    cb.update(sz)
  File "/usr/share/PackageKit/helpers/yum/yumBackend.py", line 2744, in update
    BaseMeter.update(self, amount_read, now)
  File "/usr/lib/python2.6/site-packages/urlgrabber/progress.py", line 141, in update
    self._do_update(amount_read, now)
  File "/usr/share/PackageKit/helpers/yum/yumBackend.py", line 2765, in _do_update
    self.updateProgress(name, frac, fread, '')
  File "/usr/share/PackageKit/helpers/yum/yumBackend.py", line 2799, in updateProgress
    if key in name:
TypeError: argument of type 'NoneType' is not iterable

Comment 1 Bug Zapper 2009-11-16 15:31:06 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Richard Hughes 2009-11-17 12:24:00 UTC
commit 356176d644904324cd5e832b6e4b2759857b60e3
Author: Richard Hughes <richard@hughsie.com>
Date:   Tue Nov 17 12:22:59 2009 +0000

    yum: check the filename is valid before exploding when yum fails on us. Fixes rh#537381

Comment 3 Fedora Update System 2009-12-07 16:30:19 UTC
PackageKit-0.5.5-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/PackageKit-0.5.5-1.fc12

Comment 4 Fedora Update System 2009-12-18 13:29:41 UTC
gnome-packagekit-2.28.3-0.1.20091211git.fc12,kpackagekit-0.5.2-1.fc12,PackageKit-0.5.5-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/gnome-packagekit-2.28.3-0.1.20091211git.fc12,kpackagekit-0.5.2-1.fc12,PackageKit-0.5.5-1.fc12

Comment 5 Fedora Update System 2009-12-27 20:27:42 UTC
gnome-packagekit-2.28.3-0.1.20091211git.fc12, kpackagekit-0.5.2-1.fc12, PackageKit-0.5.5-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.